/*   This is part of ALE4Net
 *   Application Level Environment for Networking
 *   
 *   Copyright 2004 Renzo Davoli University of Bologna - Italy
 *
 *   sendrecvmsg: interface for readmsg/sendmsg
 *   
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */   

a4n_sendmsg(int s, 
		void         * msg_name,     /* optional address */
		socklen_t    msg_namelen,    /* size of address */
		void         * msg_control,  /* ancillary data, see below */
		socklen_t    msg_controllen, /* ancillary data buffer len */
		void         * buf,     /* scatter/gather array */
		size_t       buflen,     /* # elements in msg_iov */
		int          msg_flags      /* flags on received message */

	   );
int 
a4n_recvmsg(int s, 
		void         * msg_name,     /* optional address */
		socklen_t    * msg_namelen,    /* size of address */
		void         * msg_control,  /* ancillary data, see below */
		socklen_t    * msg_controllen, /* ancillary data buffer len */
		void         * buf,     /* scatter/gather array */
		size_t       buflen,     /* # elements in msg_iov */
		int          * msg_flags      /* flags on received message */
	   );
